import yaml
import argparse

from metadata_client.metadata_client import MetadataClient


parser = argparse.ArgumentParser(
    description='Request dark characterization. Will wait on data transfers to complete first!')
parser.add_argument('--conf-file', type=str, help='Path to webcervice config', default='/home/xcal/calibration_webservice_deployed/webservice/webservice.yaml')
parser.add_argument('--flg', type=str, choices=["NA", "R", "A"], help='Status flag for MDC request')
parser.add_argument('--rid', type=int, help='Run id from MDC')
parser.add_argument('--msg', type=str, help='Message string to MDC')


args = vars(parser.parse_args())

conf_file = args['conf_file']
rid = args['rid']
flg = args['flg']
msg = args['msg']


with open(conf_file, "r") as f:
    config = yaml.load(f.read(), Loader=yaml.FullLoader)

mdconf = config['metadata-client']
client_conn = MetadataClient(client_id=mdconf['user-id'],
                         client_secret=mdconf['user-secret'],
                         user_email=mdconf['user-email'],
                         token_url=mdconf['token-url'],
                         refresh_url=mdconf['refresh-url'],
                         auth_url=mdconf['auth-url'],
                         scope=mdconf['scope'],
                         base_api_url=mdconf['base-api-url'])


response = client_conn.update_run_api(rid, {'flg_cal_data_status': flg,
                                            'cal_pipeline_reply': msg})

print(response, response.status_code)

